import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconCicd = (props: IconProps) => {
    return <Icon id="IconCicd" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M5.79289 5.79289C6.18342 5.40237 6.81658 5.40237 7.20711 5.79289L9.20711 7.79289C9.59763 8.18342 9.59763 8.81658 9.20711 9.20711L7.20711 11.2071C6.81658 11.5976 6.18342 11.5976 5.79289 11.2071C5.40237 10.8166 5.40237 10.1834 5.79289 9.79289L6.05816 9.52762C4.33375 9.74484 3 11.2166 3 13C3 14.933 4.567 16.5 6.5 16.5C7.4631 16.5 8.33373 16.1123 8.96762 15.4821C9.30112 15.1505 9.83288 14.4303 10.3202 13.7228C10.5542 13.383 10.7638 13.0673 10.9149 12.8364C10.9904 12.7211 11.051 12.6273 11.0926 12.5627L11.1401 12.4887L11.152 12.4699L11.1555 12.4644L12 13C11.1559 12.4638 11.1555 12.4645 11.1555 12.4644L11.1561 12.4635L11.161 12.4558L11.1746 12.4346L11.2254 12.3553C11.2693 12.2872 11.3326 12.1894 11.411 12.0697C11.5675 11.8307 11.7852 11.5029 12.0295 11.1482C12.499 10.4664 13.1271 9.59531 13.6084 9.1134C14.6028 8.11771 15.9803 7.5 17.5 7.5C20.5376 7.5 23 9.96242 23 13C23 15.9031 20.7508 18.2808 17.8999 18.4857L18.2071 18.7929C18.5976 19.1834 18.5976 19.8166 18.2071 20.2071C17.8166 20.5976 17.1834 20.5976 16.7929 20.2071L14.7929 18.2071C14.4024 17.8166 14.4024 17.1834 14.7929 16.7929L16.7929 14.7929C17.1834 14.4024 17.8166 14.4024 18.2071 14.7929C18.5976 15.1834 18.5976 15.8166 18.2071 16.2071L17.9418 16.4724C19.6663 16.2552 21 14.7834 21 13C21 11.067 19.433 9.5 17.5 9.5C16.5324 9.5 15.6582 9.89129 15.0236 10.5267C14.6917 10.859 14.1619 11.5779 13.6767 12.2825C13.4435 12.6211 13.2347 12.9355 13.0841 13.1655C13.0088 13.2804 12.9484 13.3738 12.9069 13.4382L12.8596 13.5119L12.8477 13.5306L12.8448 13.5351L12.8442 13.536L12.8393 13.5438L12.8257 13.5651L12.7746 13.6447C12.7306 13.7132 12.667 13.8115 12.5884 13.9317C12.4312 14.1717 12.2126 14.5011 11.9673 14.8573C11.4959 15.5416 10.864 16.417 10.3777 16.9005C9.38438 17.888 8.0127 18.5 6.5 18.5C3.46244 18.5 1 16.0376 1 13C1 10.0969 3.24923 7.71916 6.1001 7.51432L5.79289 7.20711C5.40237 6.81658 5.40237 6.18342 5.79289 5.79289Z" />
    </Icon>;
};

export default IconCicd;
